r.stats.zonal(1)

NAME
r.stats.zonal - Calculates category or object oriented statistics (accumulator-based statistics).

KEYWORDS
raster, statistics, zonal statistics

SYNOPSIS
r.stats.zonal
r.stats.zonal --help
r.stats.zonal [-cr] base=name cover=name method=string output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Cover values extracted from the category labels of the cover map

-r
    Create reclass map with statistics as category labels

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

base=name [required]
    Name of base raster map

cover=name [required]
    Name of cover raster map

method=string [required]
    Method of object-based statistic
    Options: count, sum, min, max, range, average, avedev, variance, stddev, skewness, kurtosis, variance2, stddev2, skewness2, kurtosis2
    count: Count of values in specified objects
    sum: Sum of values in specified objects
    min: Minimum of values in specified objects
    max: Maximum of values in specified objects
    range: Range of values (max - min) in specified objects
    average: Average of values in specified objects
    avedev: Average deviation of values in specified objects
    variance: Variance of values in specified objects
    stddev: Standard deviation of values in specified objects
    skewness: Skewness of values in specified objects
    kurtosis: Kurtosis of values in specified objects
    variance2: (2-pass) Variance of values in specified objects
    stddev2: (2-pass) Standard deviation of values in specified objects
    skewness2: (2-pass) Skewness of values in specified objects
    kurtosis2: (2-pass) Kurtosis of values in specified objects

output=name [required]
    Resultant raster map

DESCRIPTION
r.stats.zonal is a tool to analyse exploratory statistics of a floating-point "cover layer" according to how it intersects with objects in a "base layer". A variety of standard statistical measures are possible (called "zonal statistics" in some GIS).

NOTES
r.stats.zonal is intended to be a partial replacement for r.statistics, with support for floating-point cover maps at the expense of not supporting quantiles. For this, see r.stats.quantile.

SEE ALSO
r.quantile, r.stats.quantile, r.statistics

AUTHOR
Glynn Clements

Last changed: $Date: 2016-08-07 23:29:36 +0200 (Sun, 07 Aug 2016) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.0.5 Reference Manual